      SUBROUTINE DTRA(DRD,D6,D8,D2,D1,D2N,D1N)                       
C
CC  coordinate transformation
C
C************************ FFORM VERSION 3.0 ********** 31-JAN-90 09:20
C
CA  author : ASTROLIB from GRH       
CU  update : PTK            date: 06-DEC-1990 17:30
CU  update : EXSAS              date: 06-AUG-1991 16:06
CU  update : EXSAS              date: 03-AUG-1993 19:42
C
CT  status: not tested
C
C   general description:
CG  coordinate transformation
C
C   call_var.          type I/O description
CP  DRD                 R*8 
CP  D6                  R*8
CP  D8                  R*8
CP  D2                  R*8
CP  D1                  R*8
CP  D2N                 R*8
CP  IERR                I     O = 0 no error 
CP                              = 3 
C
C   include_block_name          description
CI  RCOMMON:CGENL.CMN           general parameter common block
C
C   routines_called    type     description
CR
C
C   extensions/system calls     description
CX  
C
C***********************************************************************
C
C   variables   meaning
C
      IMPLICIT NONE
C
      DOUBLE PRECISION
     &        D2,D6,D1,DF,DR,DRD,DSIN2,DCOS2,DSIN1,DCOS1,
     &              DSINR,DCOSR,DX,D7,DY,D2N,D8,DDNS,DDNC,
     &              D1N,DPI
      INTEGER     IERR 
C
CCC      INCLUDE 'RCOMMON:CGENL.CMN'
C     INCLUDE 'RCOMMON:IGENL.INC'
C
      SAVE
C*    DATA          DF     /1.745329252D-2/
      DATA          DPI   /3.1415926535898/
      DATA          DF     /1.D0/
C
      IERR=0
C
      D2=D2-D6                          
      D1=D1*DF
      D2=D2*DF
      DR=DRD*DF
      DSIN2=DSIN(D2)
      DCOS2=DCOS(D2)
      DSIN1=DSIN(D1)
      DCOS1=DCOS(D1)
      DSINR=DSIN(DR)
      DCOSR=DCOS(DR)
      DX=-DSIN2*DCOS1
      D7=DCOS1*DCOS2
      DY=DSINR*DSIN1-D7*DCOSR
      D2N=DATAN2(DX,DY)
      D2N=D2N/DF
C*    IF(D2N.LT.0.D0)D2N=D2N+360.D0
C     IF(D2N.LT.0.D0)D2N=D2N+2.*PI
      IF(D2N.LT.0.D0)D2N=D2N+2.*DPI
      D2N=D8+D2N
C*    IF(D2N.LT.0.D0)D2N=D2N+360.D0
C     IF(D2N.LT.0.D0)D2N=D2N+2.*PI
      IF(D2N.LT.0.D0)D2N=D2N+2.*DPI
C*    IF(D2N.GT.360.D0)D2N=D2N-360.D0
C     IF(D2N.GT.2.*PI)D2N=D2N-2.*PI
      IF(D2N.GT.2.*DPI)D2N=D2N-2.*DPI
      DDNS=D7*DSINR+DCOSR*DSIN1
      DDNC=DSQRT(1.D0-DDNS*DDNS)
      D1N=DATAN2(DDNS,DDNC)
      D1N=D1N/DF
C
      RETURN                                                         
      END                                                            
